Package weka.gui.beans

# Class ClassAssignerCustomizer

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
weka.gui.beans.ClassAssignerCustomizer

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Customizer`, `Serializable`, `Accessible`, `BeanCustomizer`, `CustomizerCloseRequester`, `CustomizerClosingListener`, `DataFormatListener`

public class ClassAssignerCustomizer extends JPanel implements BeanCustomizer, CustomizerClosingListener, CustomizerCloseRequester, DataFormatListener
GUI customizer for the class assigner bean

Version:
  $Revision: 8034 $
Author:
  Mark Hall
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.BaselineResizeBehavior`

  ## Nested classes/interfaces inherited from interface weka.gui.beans.BeanCustomizer

  `BeanCustomizer.ModifyListener`

- ## Field Summary

  ### Fields inherited from class javax.swing.JComponent

  `TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassAssignerCustomizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addPropertyChangeListener(PropertyChangeListener pcl)`
  Add a property change listener
  `void`
  `customizerClosing()`
  Customizer classes that want to know when they are being disposed of can implement this method.
  `void`
  `newDataFormat(DataSetEvent dse)`
  Recieve a DataSetEvent that encapsulates a new data format.
  `void`
  `removePropertyChangeListener(PropertyChangeListener pcl)`
  Remove a property change listener
  `void`
  `setModifiedListener(BeanCustomizer.ModifyListener l)`
  Set a listener to be notified about the modified status of this object
  `void`
  `setObject(Object object)`
  Set the bean to be edited
  `void`
  `setParentWindow(Window parent)`
  A reference to the parent is passed in

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ClassAssignerCustomizer

    public ClassAssignerCustomizer()

- ## Method Details

  - ### setObject

    public void setObject(Object object)
    Set the bean to be edited
    Specified by:
      `setObject` in interface `Customizer`
    Parameters:
      `object` - an `Object` value

  - ### customizerClosing

    public void customizerClosing()
    Description copied from interface: `CustomizerClosingListener`
    Customizer classes that want to know when they are being disposed of can implement this method.
    Specified by:
      `customizerClosing` in interface `CustomizerClosingListener`

  - ### newDataFormat

    public void newDataFormat(DataSetEvent dse)
    Description copied from interface: `DataFormatListener`
    Recieve a DataSetEvent that encapsulates a new data format. The DataSetEvent may contain null for the encapsulated format. This indicates that there is no data format available (ie. user may have disconnected an input source of data in the KnowledgeFlow).
    Specified by:
      `newDataFormat` in interface `DataFormatListener`
    Parameters:
      `dse` - a `DataSetEvent` value

  - ### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener pcl)
    Add a property change listener
    Specified by:
      `addPropertyChangeListener` in interface `Customizer`
    Overrides:
      `addPropertyChangeListener` in class `Container`
    Parameters:
      `pcl` - a `PropertyChangeListener` value

  - ### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener pcl)
    Remove a property change listener
    Specified by:
      `removePropertyChangeListener` in interface `Customizer`
    Overrides:
      `removePropertyChangeListener` in class `Component`
    Parameters:
      `pcl` - a `PropertyChangeListener` value

  - ### setModifiedListener

    public void setModifiedListener(BeanCustomizer.ModifyListener l)
    Description copied from interface: `BeanCustomizer`
    Set a listener to be notified about the modified status of this object
    Specified by:
      `setModifiedListener` in interface `BeanCustomizer`
    Parameters:
      `l` - the ModifiedListener

  - ### setParentWindow

    public void setParentWindow(Window parent)
    Description copied from interface: `CustomizerCloseRequester`
    A reference to the parent is passed in
    Specified by:
      `setParentWindow` in interface `CustomizerCloseRequester`
    Parameters:
      `parent` - the parent Window